%global plugin_dir %{_datadir}/findbugs/plugin
%global eclipse_plugin_vers 1.3.9
%global eclipse_plugin_date 20090821
%global eclipse_plugins_dir %{_datadir}/eclipse/dropins/findbugs/plugins
%global eclipse_plugin_dir  %{eclipse_plugins_dir}/edu.umd.cs.findbugs.plugin.eclipse_%{eclipse_plugin_vers}.%{eclipse_plugin_date}

Name:           findbugs-contrib
Version:        4.6.1
Release:        2%{?dist}
Summary:        Extra findbugs detectors

Group:          Development/Languages
License:        LGPLv2+
URL:            http://fb-contrib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/fb-contrib/fb-contrib-src-%{version}.zip
# This patch has not been submitted upstream, as it contains Fedora-specific
# changes.  It looks in /usr/share/java for jar files at both compile time and
# run time, instead of using the jars in lib/.
Patch0:         findbugs-contrib-build.patch
BuildArch:      noarch

BuildRequires:  ant, findbugs, java-devel >= 1:1.6.0, jpackage-utils
BuildRequires:  jsp22, junit4, log4j, servlet3
Requires:       findbugs, java >= 1:1.6.0, jpackage-utils

%description
This is an extra detector plugin to be used with the static bug finder
FindBugs.  See the documentation for descriptions of the detectors.

%package javadoc
Group:          Documentation
Summary:        Javadoc documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description javadoc
Javadoc documentation for %{name}.

%package samples
Group:          Development/Languages
Summary:        Sample input files illustrating the detectors
Requires:       %{name} = %{version}-%{release}, jsp22, junit4, log4j, servlet3

%description samples
This package contains sample input files that illustrate the various findbugs
detectors.

%package -n eclipse-findbugs-contrib
Group:          Development/Languages
Summary:        Eclipse plugin for findbugs-contrib
Requires:       %{name} = %{version}-%{release}
Requires:       eclipse-findbugs = %{eclipse_plugin_vers}

%description -n eclipse-findbugs-contrib
This package integrates the findbugs-contrib detectors into Eclipse, in
addition to the base findbugs detectors.

%prep
%setup -q -c
%patch0

# Remove the precompiled files
rm -fr classes/com fb-contrib-*.jar lib/* samples/*.class samples/lib/*.jar

# Remove the duplicated sources (!)
rm -fr com

%build
ant build
ant javadoc

%install
# Install the plugin
mkdir -p $RPM_BUILD_ROOT%{plugin_dir}
cp -p fb-contrib-%{version}.jar $RPM_BUILD_ROOT%{plugin_dir}

# Install the documentation
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/fb-contrib-%{version}
cp -a javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/fb-contrib-%{version}
ln -s fb-contrib-%{version} $RPM_BUILD_ROOT%{_javadocdir}/fb-contrib

# Make a soft link for eclipse
mkdir -p $RPM_BUILD_ROOT%{eclipse_plugin_dir}/plugin
ln -s %{plugin_dir}/fb-contrib-%{version}.jar \
  $RPM_BUILD_ROOT%{eclipse_plugin_dir}/plugin/fb-contrib-%{version}.jar

%files
%doc license.txt htdocs/*
%{plugin_dir}/fb-contrib-%{version}.jar

%files javadoc
%{_javadocdir}/*

%files samples
%doc samples/*

%files -n eclipse-findbugs-contrib
%{eclipse_plugin_dir}/plugin/fb-contrib-%{version}.jar

%changelog
* Tue Aug 14 2012 Richard Fearn <richardfearn@gmail.com> - 4.6.1-2
- Fix location of symlink added to FindBugs Eclipse plugin

* Tue Aug 14 2012 Richard Fearn <richardfearn@gmail.com> - 4.6.1-1
- Update to 4.6.1

* Tue Aug 14 2012 Richard Fearn <richardfearn@gmail.com> - 4.2.0-8
- Include asm-tree.jar in compilation classpath

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 13 2012 Richard Fearn <richardfearn@gmail.com> - 4.2.0-6
- Update to Tomcat 7: depend on servlet3 & jsp22

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 25 2011 Alexander Kurtakov <akurtako@redhat.com> 4.2.0-4
- Adapt for building/running with openjdk 7.
- Remove not needed parts.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Richard Fearn <richardfearn@gmail.com> - 4.2.0-2
- rhbz#652019 - migrate from Tomcat 5 to Tomcat 6

* Mon Jan 18 2010 Jerry James <loganjerry@gmail.com> - 4.2.0-1
- Update to 4.2.0

* Mon Oct  5 2009 Jerry James <loganjerry@gmail.com> - 4.0.0-1
- Update to 4.0.0

* Wed Aug 26 2009 Jerry James <loganjerry@gmail.com> - 3.8.1-4
- Rebuilt for findbugs 1.3.9

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Jerry James <loganjerry@gmail.com> - 3.8.1-2
- Add eclipse-findbugs-contrib package as suggested by Alexander Kurtakov

* Tue Apr  7 2009 Jerry James <loganjerry@gmail.com> - 3.8.1-1
- Initial RPM
